#
# spec file for package rubygem-rails-2_3
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-rails-2_3
Version:        2.3.14
Release:        0.3.1
%define mod_name rails
%define mod_full_name %{mod_name}-%{version}
%define mod_branch -2_3
%define mod_weight 23
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
Provides:       rubygem-%{mod_name} = %{version}-%{release}
# rake >= 0.8.3
BuildRequires:  rubygem-rake >= 0.8.3
Requires:       rubygem-rake >= 0.8.3
# activesupport = 2.3.14
BuildRequires:  rubygem-activesupport-2_3 = %{version}
Requires:       rubygem-activesupport-2_3 = %{version}
# activerecord = 2.3.14
BuildRequires:  rubygem-activerecord-2_3 = %{version}
Requires:       rubygem-activerecord-2_3 = %{version}
# actionpack = 2.3.14
BuildRequires:  rubygem-actionpack-2_3 = %{version}
Requires:       rubygem-actionpack-2_3 = %{version}
# actionmailer = 2.3.14
BuildRequires:  rubygem-actionmailer-2_3 = %{version}
Requires:       rubygem-actionmailer-2_3 = %{version}
# activeresource = 2.3.14
BuildRequires:  rubygem-activeresource-2_3 = %{version}
Requires:       rubygem-activeresource-2_3 = %{version}
# we need rubygem-rdoc because 2.3.12 got ported to the new API
# the requires is missing in the gem spec
Recommends:     rubygem-rdoc > 2.4.2
PreReq:         update-alternatives
#
Url:            http://www.rubyonrails.org
Source:         %{mod_full_name}.gem
#
Summary:        Web-application framework with template engine, control-flow layer, and ORM

%description
Rails is a framework for building web-application using CGI, FCGI, mod_ruby, or
WEBrick on top of either MySQL, PostgreSQL, SQLite, DB2, SQL Server, or Oracle
with eRuby- or Builder-based templates.

%package doc
License:        MIT
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%prep

%build

%install
%gem_install %{S:0}
mv %{buildroot}%{_bindir}/rails{,%{mod_branch}}
%{__ln_s} rails %{buildroot}%{_bindir}/rails
# make sure it installs the right version when using rails-1.1
ruby -p -i.bak -e '$_.gsub!(/>= 0/, "= %{version}")' %{buildroot}%{_bindir}/rails%{mod_branch}
diff -urN %{buildroot}%{_bindir}/rails%{mod_branch}{.bak,} || :
rm %{buildroot}%{_bindir}/rails%{mod_branch}.bak
find %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/ -name dispatch.\* -print0 | \
    xargs -r0 ruby -p -i -e 'gsub(%r{#!.*/bin/ruby}, "#!/usr/bin/ruby")'

%clean
%{__rm} -rf %{buildroot}

%post
/usr/sbin/update-alternatives --install \
    %{_bindir}/rails rails %{_bindir}/rails%{mod_branch} %{mod_weight}

%preun
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove rails %{_bindir}/rails%{mod_branch}
fi

%files
%defattr(-,root,root,-)
%ghost %config(noreplace) %{_bindir}/rails
%{_bindir}/rails%{mod_branch}
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%changelog
* Wed Aug 17 2011 mrueckert@suse.de
- update to version 2.3.14
  - adding notification for rdoc
- drop rails-2.3.12-missing_rdoc_requires.patch:
  patch upstreamed
* Tue Aug  2 2011 mrueckert@suse.de
- added rails-2.3.12-missing_rdoc_requires.patch
  make rake tasks work again. the port of the documentation task to
  the new API forgot some important bits
  for details see:
  https://github.com/rails/rails/issues/2403
- package now requires rubygem-rdoc
* Mon Jun 20 2011 mrueckert@suse.de
- update to version 2.3.12
  - fixes for newer rubygems
* Fri Feb 18 2011 mrueckert@suse.de
- update to version 2.3.11: (bnc#668817)
  - XSS Risk in mail_to :encode=>:javascript CVE-2011-0446
  - CSRF Bypass Risk CVE-2011-0447
  - Filter Problems on Case Insensitive Filesystems CVE-2011-0449
  - Potential SQL Injection with limit() CVE-2011-0448
* Wed Oct 27 2010 mrueckert@suse.de
- update to version 2.3.10
  * Version bump
* Sun Sep  5 2010 mrueckert@suse.de
- update to version 2.3.9
  * Deprecates config.load_(once_)paths in favor of
    autolaod_(once_)paths. [fxn]
* Tue Aug 31 2010 mrueckert@suse.de
- fix update alternatives priority
* Tue May 25 2010 mrueckert@suse.de
- update to version 2.3.8
  * Version bump.
- additional changes from version 2.3.7
  * Version bump.
- additional changes from version 2.3.6
  * Added config/initializers/cookie_verification_secret.rb with an
    auto-generated secret for using
    ActionController::Base#cookies.signed [DHH]
  * Fixed that the debugger wouldn't go into IRB mode because of
    left-over ARGVs [DHH]
* Tue Jan  5 2010 prusnak@suse.cz
- readd missing macro %%mod_branch
* Tue Dec  1 2009 chris@computersalat.de
- update to version 2.3.5
  * Fixed that the debugger wouldn't go into IRB mode because of
    left-over ARGVs [DHH]
  * 1.9 compatibility
* Thu Sep 10 2009 adrian@suse.de
- update to version 2.3.4
  * I18n support for plugins.  #2325 [Antonio Tapiador, Sven Fuchs]
* Mon Mar 16 2009 mrueckert@suse.de
- starting package for the rails 2.3 series
